Get a Composio account
Returns one Composio-owned account and optionally counts current Arbol permissions that reference it.
curl --request GET \
--url https://api.getarbol.com/v1/connected-accounts/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getarbol.com/v1/connected-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.getarbol.com/v1/connected-accounts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"action": "reauthorize",
"createdAt": "2026-08-29T14:30:00Z",
"displayIdentity": "<string>",
"id": "<string>",
"integrationKey": "google-calendar",
"label": "agenda-principal",
"revision": 123,
"status": "active",
"updatedAt": "2026-08-29T14:30:00Z",
"usage": {
"assignmentCount": 4503599627370495
}
}{
"defined": true,
"inferable": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "<string>",
"data": {
"issues": [
{
"code": "custom",
"message": "<string>",
"path": [
"<string>"
]
}
],
"truncated": true
}
}{
"defined": true,
"inferable": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "<string>",
"data": "<unknown>"
}{
"defined": true,
"inferable": true,
"code": "FORBIDDEN",
"status": 403,
"message": "<string>",
"data": {
"missingPermissions": [
"agents:read"
]
}
}{
"defined": true,
"inferable": true,
"code": "NOT_FOUND",
"status": 404,
"message": "<string>",
"data": "<unknown>"
}{
"defined": true,
"inferable": true,
"code": "SERVICE_UNAVAILABLE",
"status": 503,
"message": "<string>",
"data": {
"code": "COMPOSIO_FAILURE",
"message": "The integration operation could not be completed.",
"retryable": false,
"data": {
"reason": "integration_tool_unavailable",
"statusCode": 349
}
}
}Authorizations
Organization-scoped Auth0 user access token issued to an approved first-party client or exchanged by a trusted OBO resource server.
Path Parameters
Opaque identifier issued by an external authority; consumers compare it but do not interpret it.
1 - 256Query Parameters
1usage Response
OK
reauthorize ISO 8601 timestamp with an explicit UTC offset.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$"2026-08-29T14:30:00Z"
320Opaque identifier issued by an external authority; consumers compare it but do not interpret it.
1 - 256Stable provider-neutral key for a live-discovered business integration.
1 - 120^[a-z0-9][a-z0-9.-]*$"google-calendar"
Customer-managed account label, unique within one organization and integration.
1 - 120"agenda-principal"
x <= 9007199254740991Customer-visible authorization lifecycle of a connected account.
pending, active, actionRequired, disabled, revoked "active"
ISO 8601 timestamp with an explicit UTC offset.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$"2026-08-29T14:30:00Z"
Number of Agent and personal tool-access entries that reference the account.
Show child attributes
Show child attributes
curl --request GET \
--url https://api.getarbol.com/v1/connected-accounts/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getarbol.com/v1/connected-accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.getarbol.com/v1/connected-accounts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"action": "reauthorize",
"createdAt": "2026-08-29T14:30:00Z",
"displayIdentity": "<string>",
"id": "<string>",
"integrationKey": "google-calendar",
"label": "agenda-principal",
"revision": 123,
"status": "active",
"updatedAt": "2026-08-29T14:30:00Z",
"usage": {
"assignmentCount": 4503599627370495
}
}{
"defined": true,
"inferable": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "<string>",
"data": {
"issues": [
{
"code": "custom",
"message": "<string>",
"path": [
"<string>"
]
}
],
"truncated": true
}
}{
"defined": true,
"inferable": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "<string>",
"data": "<unknown>"
}{
"defined": true,
"inferable": true,
"code": "FORBIDDEN",
"status": 403,
"message": "<string>",
"data": {
"missingPermissions": [
"agents:read"
]
}
}{
"defined": true,
"inferable": true,
"code": "NOT_FOUND",
"status": 404,
"message": "<string>",
"data": "<unknown>"
}{
"defined": true,
"inferable": true,
"code": "SERVICE_UNAVAILABLE",
"status": 503,
"message": "<string>",
"data": {
"code": "COMPOSIO_FAILURE",
"message": "The integration operation could not be completed.",
"retryable": false,
"data": {
"reason": "integration_tool_unavailable",
"statusCode": 349
}
}
}